Skip to main content
POST
Create Payment Session

Authorizations

x-api-key
string
header
required

Merchant API Key

x-signature
string
header
required

Generated request signature

Body

application/json
quoteCurrCode
enum<string>
required

Fiat currency for which the request needs to be initiated.

Available options:
USD,
EURO,
INR
returnUrl
string
required

This URL is needed to redirect the user after the session is completed. The end customer will be redirected to this URL with the status of the session.

billTo
object
required

Billing details of the customer for the invoice.

items
object[]
required

Name of the product the customer wants to buy. Allowed: alphabets, numerals, spaces, dots, slash, hyphen, parentheses, underscore, and colon.

email
string

Customer's email. Required to send an invoice. One of email or clientReferenceId is a mandatory parameter.

clientReferenceId
string

Customer's reference ID that the partner can use to map the customer to the TransactBridge panel. If email is not passed in the request body, the customer must enter the email on the product checkout page. One of email or clientReferenceId is a mandatory parameter.

phoneNo
string

The customer's Indian phone number in the format of +91-XXXXXXXX

Example:

"+91-9876543210"

theme
enum<string>

Checkout renders accordingly to choosen theme.

Available options:
LIGHT,
DARK,
AUTO
taxIdentity
string

PAN number of the customer.

gstIdentity
string

If the customer is business type then GST can be used so that the business can get input credits.

customerId
string<MongoId>

If the customer is already created, use customerId and then email will be optional.

name
string<AllowedString>

Name of the customer.

pendingUrl
string

This URL is needed to redirect the user after the session is in CREATED or STARTED status. Mandatory if returnUrl is not passed.

failedUrl
string

URL to redirect the user when the session is in EXPIRED status. Manadtory if returnUrl is not passed

successUrl
string

URL to redirect the user when the session is in CLOSED status. Manadatory if returnUrl passed

referenceId
string<ReferenceId>

Reference ID passed by the partner while generating the session.

userTaxId
string

Tax ID created by the partner.This allows us to tax the product correctly.

shipTo
object

Shipping details of the customer.

sameAsBilling
boolean

Makes the shipping address the same as the billing address. If sameAsBilling the parameter value is set as true then the invoice will have the same shipping and billing address.

payMethod
enum<string>[]

Payment methods that will be displayed to the customer. If the payMethod parameter is sent by the partner then on the payment page for the customer only that payment method will be visible to the user.

Available options:
UPI,
NB,
CC,
DC
redirectionType
enum<string>
default:NEW_PAGE

Depending on the redirection type value, the user will either be redirected to a new page for payment or to the same window of the product page.

Available options:
SAME_PAGE,
NEW_PAGE
discount
object

This parameter can be used to reduce the total cart pay amount.

expiryDate
string<date-time>

The UTC date at which the session link will expire. If this is not passed by the partner, then the link will expire after 24 hours. This is the expiry of the link if a customer attempts the payment at the last minute, then the link will not expire until all the payment attempts transactions are not in the terminal state.

Note: Minimum 10 minutes in the future will be accepted as a valid expiryDate from the time of session creation.

invoice
object

Invoice configuration for the product sold in this billing session.

serviceStart
string<date>

If the product is for a specific period, then the invoice created for the customer will have this parameter.

serviceEnd
string<date>

If the product is for a specific period, then the invoice created for the customer will have this parameter.

meta
object

To add meta params in the session. They will be passed in the webhook and query API as well.

referrerUrl
string<uri>

To add the checkout original URL from which customer got redirected to Transact Bridge checkout page

enableMandatoryPopup
boolean

If this is set to be true then the customer on the checkout page will be first shown to add the remaining mandatory inputs like name, etc.

Response

200 - application/json

Payment session created successfully.

status
string

The response from the API

sub_status
string

Used for internal purposes only

data
object

Contains the session ID and URL